Subject: [bug#44880] [PATCH] gnu: ruby-rubocop: Update to 1.4.2.

From: Leo Famulari <[email-masked]>
Date: Fri, 4 Dec 2020 14:58:33 -0500

On Fri, Nov 27, 2020 at 08:05:06PM +0100, Tomás Ortín Fernández via Guix-patches via wrote:
> I'm finding it very difficult to package the updated rubocop from git, so here is a patch with rubocop 1.4.2 packaged from the gem. It was packaged from git because the gem doesn't include tests, but I can't figure out how to make the tests work. I have already asked for help at help-guix, and I'm sending this patch in the meanwhile because the current rubocop version is too outdated to be useful at all. As soon as I have the tests figured out, I will send a patch enabling the tests.
> 
> * gnu/packages/ruby.scm (ruby-rubocop): Update to 1.4.2, fetch from gem, disable tests

Thanks! Did you check if the packages that depend on ruby-rubocop still
work after this upgrade? You can get the list of such packages with
`guix refresh --list-dependent ruby-rubocop` and then try building each
one.